Questions tagged [ipython]

IPython provides a rich architecture for interactive computing with Python.

Filter by
Sorted by
Tagged with
0
votes
2answers
76 views

ipython is missing [duplicate]

I'm trying to install ns3 and, before that, I need to run the command below: sudo apt install gir1.2-goocanvas-2.0 python-gi python-gi-cairo python-pygraphviz python3-gi python3-gi-cairo python3-...
1
vote
1answer
253 views

ipython shows invalid syntax when running from terminal

I use python 3.7 but also 3.6 and 2.7 are installed, I am using Ubuntu 16.04 LTS. I changed the order of python to python 2.7 still not working, I am using it on VMware. I guess I made changes to ...
0
votes
2answers
704 views

“E: Package 'ipython' has no installation candidate” while trying to install torch

I'm trying to install torch http://torch.ch/docs/getting-started.html on Ubuntu 20.04.1 LTS When I run cd ~/torch; bash install-deps; it generates this error: Package ipython is not available, but ...
1
vote
0answers
100 views

Run GUI Application from web-based terminal emulator ubuntu18.04/Jupyter Notebook

I have installed a fully-functional terminal emulator in an IPython/Jupyter notebook. This is useful for notebook environments that don't provide shell access. The terminal is used inside the browser. ...
0
votes
2answers
580 views

ImportError: No module named six in Ubuntu 20.04 LTS

I recently updated to Ubuntu 20.04 LTS. Ipython was working fine before that. Now when i try to open it, i get an error that (caesar is my usename) Traceback (most recent call last): File "/home/...
0
votes
1answer
58 views

Running IPython on Ubuntu in VirtualBox

I have installed all the necessary packages to run IPython in Ubuntu under VirtualBox. Once I close the Ubuntu server, is it necessary to reinstall all the packages again to run IPython in VirtualBox ...
0
votes
1answer
72 views

Ipython Magic - Cant get it to install Ubuntu Server 18.04

I have followed the instructions here clearly https://ipython.readthedocs.io/en/stable/install/install.html#dependencies Ran these commands below. pip3 install ipython pip3 show ipython pip3 install ...
1
vote
0answers
200 views

iPython shell freezes when hitting tab to autocomplete

I'm using ipython(from Anaconda3) shell on a remote Linux machine. Today, When I hit tab to autocomplete something, the ipython shell just freezes. Also, I found this issue only happens when I type ...
3
votes
2answers
1k views

“ImportError: cannot import name PathCompleter” when running PtPython

I wanted to use ptipython to run a web driver. So I first installed iPython using pip install ipython, and ptipython in the same way. I had some problems with prompt-toolkit versions, but somehow I ...
3
votes
1answer
5k views

How to change my jupyter notebook working directory?

I would like to change my jupyter notebook working directory, how should I proceed? If it is possible, I also want to keep the current working directory.
1
vote
1answer
31k views

Install python 3.7 with the 3.5 version already installed on ubuntu 16.04 [duplicate]

I almost broke my Ubuntu installation trying to install python 3.7 from the source using checkinstall. My question is how to install python 3.7 and it's equivalent ipython alongside with python 3.5 ...
1
vote
1answer
54 views

iPython3 opened in Terminal - os.path.dir adds letter 'd' to path and triggers File not found error

Trying to iterate through a folder. I am working on ipython3, opened in Terminal. This is the code (in python 3.6.4): for filename in os.listdir('.'): for file in filename: with open(os....
1
vote
0answers
161 views

How to install latest IPython in Ubuntu 16.04? [duplicate]

I want to install ipython with latest version 6.X I used command pip install ipython, but after it installed successfully, I typed ipython in terminal then it said "ipython is not currently installed"...
1
vote
1answer
8k views

zipimport.ZipImportError: can't decompress data; zlib not available in spark(ubuntu 16.04 LTS) [closed]

I am trying to use the countbyvalue() function and it gave me the following error: File "/usr/local/lib/python3.5/runpy.py", line 174, in _run_module_as_main mod_name, mod_spec, code = ...
1
vote
2answers
1k views

iPython runs on Python 3 instead of Python 2

I've installed iPython via pip. However, it runs on Python 3. How do I get my system to differentiate between iPython and iPython3? I'd like iPython to run on Python 2.
0
votes
1answer
2k views

matplotlib.pyplot is not working!

I'm using Jupyter Notebook, and matplotlib.pyplot is not working. I'm using Python 2.7 in Ubuntu 14.04.
0
votes
1answer
45 views

How do I remove the dash-star in ipynb

what is this dash star in ipynb and how can i remove it ?
1
vote
0answers
330 views

Set ipython as default interpreter in emacs

I happen to experiment with Emacs for Python coding. I'd tried to change the default interpreter with Anaconda's ipython by the following ways in .emacs: (setq python-python-command "~/anaconda2/bin/...
0
votes
0answers
358 views

Python3 kernel available when Jupyter notebook is opened from my home directory, but not any other directories

I am trying to set up a deep learning environment on my Ubuntu machine (16.04). I have installed Anaconda and when I type python -V Python 3.6.1 :: Anaconda 4.4.0 (64-bit) When I launch Jupyter ...
1
vote
2answers
82 views

remote Ipython notebook

There is a powerful computer(Ubuntu in it) in our office. We want to use ipython notebook using power of that computer. That PC owner also uses Ipython on it. I have tried to connect via ssh, ...
0
votes
1answer
2k views

Command “python setup.py egg_info” failed with error code 1

Installing Caffe for Ubuntu 16.04 with this Install Guide. When I run: for req in $(cat requirements.txt); do pip install $req; done I get: Command "python setup.py egg_info" failed with error ...
2
votes
2answers
676 views

How do you use ipython with pip --user installed libraries?

I am going through a book which uses libraries that are not packaged through apt-get. Hence, I need to use pip, as this explains quite nicely. In order to maintain stability of the core system, I am ...
1
vote
2answers
122 views

IPython error executing system commands

If I execute any system commend in ipython2/3 on my Ubuntu 16.04 machine, I get permission denied error as follows: In [1]: ls -------------------------------------------------------------------------...
5
votes
1answer
4k views

Upgrading IPython3 to version 5.3.0

I've got both IPython and IPython3 installed. I recently upgraded IPython to version 5.3.0 using pip. However, I can't figure out how to upgrade IPython3. It's currently at version 2.4.1.
1
vote
0answers
804 views

My ipython console is not working

Whenever i try to print something my ipython console doesn't work but my python console is working fine please help.How to fix this? Here is the error
2
votes
2answers
6k views

Install ipython with pip on Ubuntu 16.04

When I want to install ipython with pip on my new Ubuntu 16.04 installation, I get this: $ pip install ipython --user Collecting ipython Downloading ipython-5.4.1-py2-none-any.whl (757kB) 100% |...
0
votes
1answer
605 views

Spyder requires jedi>=0.10 but installs jedi==0.90

(Working in ubuntu 17.04, dunno if that makes any difference) Afer encountering this problem in pip3: https://github.com/pypa/pip/issues/4216 I resorted to using the dev 10.0.0 version. Then, after ...
2
votes
1answer
13k views

Plot simple functions like sine of x with IPython

My teacher plotted some functions with Jupyter Notebook or IPython. I have installed Jupyter Notebook and have the home screen, but how can I plot a function? I have already tried: plot sin(x) but I ...
2
votes
2answers
4k views

pip doesn't know of apt-get installed packages

On a quite fresh Ubuntu 16.04, I'm installing ipython with pip, as a user installation. Pip itself was installed from the python-pip Ubuntu package (8.1.1), and so are some dependencies like pygments ...
1
vote
0answers
54 views

klusta IPython Qt error

(klusta)patelj65@Satchmo:~/klusta$ klustaviewa /home/patelj65/anaconda3/envs/klusta/lib/python2.7/site-packages/IPython/qt.py:13: ShimWarning: The `IPython.qt` package has been deprecated. You should ...
1
vote
1answer
3k views

Can't see IPython Console in Spyder

I have recently installed IPython in my Ubuntu 14.04 with the following command sudo apt-get install spyder My problem is that I cannot use the IPython console: All I see is a gray blank area ...
4
votes
2answers
596 views

What does Ctrl-| (pipe key) do in a terminal?

For example, when I press Ctrl+Shift+\ (a. k. a. Ctrl+|) in a IPython session I get a Quit (core dumped) message. Where is this keybinding bound and how can I deactivate it?
1
vote
1answer
3k views

IndexError: list index out of range when installing iPython in Ubuntu 14.04

I am following this and I am getting: gsamaras@gsamaras-A15:~$ sudo pip install "ipython[notebook]" Downloading/unpacking ipython[notebook] Downloading ipython-4.2.0-py2-none-any.whl (736kB): 736kB ...
0
votes
1answer
35 views

How to Prevent Conflict between BTsync and IPython-notebook?

System: Ubuntu 14.04, IPython 2. Both opens the connection to 127.0.0.1:8888 which causes a lot of problems. If such a conflict happen, BTsync create a second instance of its files. This causes ...
2
votes
1answer
490 views

IPython closes when I try to start it

I was trying to install the latest version of IPython, but kept giving an exception error when cleaning up. I tried various ways to do this. Now I download it the 1.2.1-2 version, I start it and the ...
5
votes
5answers
25k views

Ipython is using python 3.5 instead of 2.7

I recently update my system from 15.10 to 16.04 but now I'm having a problem with the interpreter used by ipython. Now ipython a ipython3 uses the same version (3.5.1) I have tried reinstalling ...
0
votes
1answer
83 views

Scala build tool error in Ubuntu [duplicate]

I installed Apache spark(1.5.2) and IPython(0.12.1) notebook in my Ubuntu 12.04. Before creating a profile for IPython specifically for PySpark, I want to install scala build tool. I followed the ...
2
votes
1answer
933 views

How to properly install IPython on Ubuntu 15.10?

I installed IPython using sudo apt-get install ipython ipython-notebook But when I tried to start it, it complains not finding some components: sudo ipython notebook Traceback (most recent call ...
21
votes
6answers
53k views

Jupyter Notebook Installation

Is it possible to install Jupyter Notebook through apt-get install? For example, we can install numpy by using apt-get install python-numpy.
1
vote
2answers
6k views

How to restart process running on Ubuntu 14.x version

I am new with Ubuntu. Please help me for this mentioned issue. This shaded area in attached image is my process that is running on Ubuntu 14.x version. It is python program which is reading a ...
2
votes
0answers
75 views

Error starting ipython?

When I start ipython, the following error gets printed in the screen: [TerminalIPythonApp] ERROR | Exception while loading config file /home/cossio/.ipython/profile_default/ipython_config.py ...
1
vote
1answer
2k views

Python3 + ipython + pylab on Ubuntu 14.04

I really want to switch to Python 3, but Ubuntu 14.04 makes it difficult to do so when using the IPython+pylab framework. My settings: I have installed most of the important packages using pip rather ...
0
votes
1answer
2k views

Problem with Ipython notebook and Pyzmq, (plus Jupyter)

I had trouble installing Ipython, but fortunately I tried version 3.2.1 and everything went ok and I can run Ipython, but I still can't run Ipython notebook. $ ipython Python 2.7.9 (default, Apr 2 ...
6
votes
2answers
6k views

How to install ipython qtconsole?

I get this error when launching qtconsole. I already installed: sudo apt-get install libzmq-dev sudo pip install pyzmq sudo pip install pygments sudo apt-get install libqt4-core libqt4-gui libqt4-...
1
vote
2answers
747 views

bash: syntax error with pandas.read_excel [closed]

I am trying to input this command: example = pd.read_excel('080615_gene_expression.xlsx' , index_col = 0) but I get this error: -bash: syntax error near unexpected token `(' I have tried changing ...
1
vote
1answer
505 views

Getting started with iPython notebook

Please don't consider this a duplicate. I have seen a similar post and the recommended solution has not solved my issue. I need input for I can't find a solution elsewhere and iPython does not seem ...
1
vote
1answer
981 views

Where to obtain ipython kernspec for Python 2.7

I'd like to work with Python 2.7 using Jupyter, but it doesn't come up as an option when I click to create a new notebook. I read that I need to install the ipython 2.7 kernspec file, but I get this ...
1
vote
1answer
601 views

launch ipython but not like root

ipython is launched like root (UID); ok, but I need that after ipython cann't run and don't allow, script/code that can gain root privilegies. eg I launch ipython, ok the UID is root. And in my ...
0
votes
1answer
811 views

ImportError: Ipython requires Python version 2.7 or 3.3 or above

I am trying to use ipython notebook. But when i execute ipython notebook, it gives me below error. I have both ipython 2.7, and 3.3. But even than it can not detect ipython 2.7. How can i append ...
1
vote
1answer
3k views

New version of iPython installed, but only old version can be used

(There is a similar question, so I intended to provide more information below that one but got my post deleted. So I'll ask my own question here.) I installed the newest version of iPython by typing ...